@charset "UTF-8";

/* Breakpoints */

/* Sizes */

.cartPage__titleWrap {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
  margin-bottom: var(--padding-container-top-bottom);
}

.cartPage__title {
  margin: 0;
}

.cartPage__clean {
  display: grid;
  grid-auto-flow: column;
  justify-content: start;
  align-items: center;
  grid-gap: 10px;
}

.cartPage__cleanText {
  font-weight: bold;
  font-size: 14px;
  line-height: 18px;
}

.cartPage__cleanIcon {
  width: 18px;
  height: 18px;
  fill: currentColor;
}

.cartPage__item {
  /*.productGroup__title {
      display: none;

      @include from-laptop {
          display: block;
      }
  }*/
  /* Параметры карточки товара в корзине */
}

.cartPage__item + .cartPage__item {
  margin-top: var(--padding-container-top-bottom);
}

.cartPage__item-products {
  --product-border: 1px solid #f5f5f5;
  --product-overflow: visible;
  --product-rowWhite-align-items: flex-start;
  --product-rowWhite-padding: 16px;
  --product-rowWhite-picture-height: 90px;
  --product-rowWhite-main-padding-left: 12px;
  --product-factoty-mb: 10px;
  --product-bottom-flex-direction: column;
  --product-rowWhite-bottom-align-items: flex-start;
  --product-title-font-size: 15px;
  --product-title-line-height: 19px;
  --product-info-font-weight: 600;
  --product-info-font-size: 13px;
  --product-info-line-height: 17px;
  --product-info-margin-top: 4px;
  --product-info-margin-bottom: 10px;
  --product-price-font-size: 18px;
  --product-price-line-height: 1;
  --product-price-discount-color: var(--red);
  --product-price-discount-font-weight: bold;
  --product-price-discount-font-size: 13px;
  --product-price-discount-line-height: 18px;
  --product-price-discount-margin-left: 8px;
  --product-counter-align-self: flex-end;
  --counter-btn-icon-size: 14px;
  --counter-wrap-actions-flex-direction: row-reverse;
  /* Карточка конструктора сетов */
}

.cartPage__item-products .product[data-id="-2"] {
  --counter-classic-width: 92px;
  --counter-classic-gap-display: none;
}

.cartPage__item-products .product[data-id="-2"] .product__bottom {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 10px;
  justify-items: start;
}

.cartPage__item-products .product[data-id="-2"] .product__bottom .product__price {
  grid-column: 1/-1;
}

.cartPage__item-additional {
  --product-group-subtitle-margin-bottom: var(--padding-medium);
  --product-rowWhite-main-padding-left: 12px;
  --product-rowWhite-align-items: flex-start;
  --product-rowWhite-padding: 16px;
  --product-rowWhite-picture-width: 102.85px;
  --product-rowWhite-picture-height: 70px;
  --product-picture-flex-shrink: 0;
  --product-bottom-flex-direction: column;
  --product-bottom-justify-content: flex-start;
  --product-bottom-align-items: flex-start;
  --product-title-font-size: 14px;
  --product-title-line-height: 19px;
  --product-price-font-size: 18px;
  --product-price-line-height: 1;
}

.cartPage__send {
  margin-top: var(--padding-container-top-bottom);
}

.cartOrder__list-2 {
  margin-top: var(--padding-container-top-bottom);
}

.cartOrder__list-sale {
  margin-bottom: 16px;
}

.cartOrder__inputGroup {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: stretch;
  align-items: center;
}

.cartOrder__inputGroup .cartOrder__input + .cartOrder__input,
.cartOrder__inputGroup .cartOrder__input + .cartOrder__select,
.cartOrder__inputGroup .cartOrder__select + .cartOrder__input {
  margin: 0 0 0 var(--padding-medium);
}

.cartOrder__inputGroup-datetime {
  margin-top: 16px !important;
}

.cartOrder__input + .cartOrder__input,
.cartOrder__input + .cartOrder__inputGroup,
.cartOrder__inputGroup + .cartOrder__input {
  margin-top: var(--padding-medium);
}

.cartOrder__input-address *,
.cartOrder__input-restaurant * {
  pointer-events: none;
}

.cartOrder__input-day {
  flex-basis: 50%;
  flex-grow: 1;
}

.cartOrder__input-hour,
.cartOrder__input-minute {
  flex-basis: 25%;
  flex-shrink: 1;
}

.cartOrder__input-pay2 {
  box-shadow: var(--product-box-shadow, 0 0 5px 0 rgba(0, 0, 0, 0.08));
  margin-top: 16px !important;
}

.cartOrder__input-saleGroup {
  width: 100%;
}

.cartOrder__reviewBtn {
  flex-shrink: 0;
  margin-left: var(--padding-medium);
  align-self: stretch;
  padding-left: var(--padding-big);
  padding-right: var(--padding-big);
}

.cartOrder__deliveryRadio {
  margin: 10px 0;
}

.cartOrder__title {
  font-weight: 600;
  font-size: 24px;
  margin-bottom: 20px;
}

.cartOrder__toggle-privateHouse {
  width: 100%;
  margin: 16px 0;
  --toggle-padding-y: 0;
  --toggle-padding-x: 0;
  --toggle-bg-color: transparent;
}

.cartOrder__inputGroup-additionalAddress {
  margin-bottom: 16px;
}

.cart .cartOrder__input-comment {
  margin-top: 0 !important;
}

.cartOrder__input-restaurant {
  margin-bottom: 16px;
}

.cartOrder__bonuses {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 12px;
}

.cartOrder__bonusesValue {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-start;
  align-items: center;
  margin-left: 6px;
  color: var(--red-soft);
}

.cartOrder__bonusesIcon {
  width: 18px;
  height: 18px;
  fill: currentColor;
}

.cartOrder__bonusesText {
  font-weight: bold;
  font-size: 17px;
  line-height: 1;
}

@media (min-width: 768px) {
  .cartPage__item-products .product[data-id="-2"] .product__bottom {
    gap: 16px;
  }

  .cartOrder__input-pay2 {
    margin-bottom: 4px;
  }

  .cartOrder__input-pay2 .selectGroup__select {
    width: 250px;
  }
}

@media (min-width: 1100px) {
  .cartPage__container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: stretch;
    position: relative;
    margin-bottom: 80px;
  }

  .cartPage__left {
    flex-shrink: 1;
    flex-grow: 1;
    padding-right: var(--padding-container-left-right);
    overflow: hidden;
    padding-left: var(--padding-mini);
    margin-left: calc(-1 * var(--padding-mini));
  }

  .cartPage__left .productGroup-slider {
    overflow: visible;
  }

  .cartPage__titleWrap {
    align-items: flex-end;
    margin-bottom: 24px;
  }

  .cartPage__headingBack {
    --heading-back-font-size: 32px;
  }

  .cartPage__clean {
    align-items: start;
  }

  .cartPage__cleanText {
    font-size: 16px;
    line-height: 20px;
  }

  .cartPage__item-products {
    --product-rowWhite-padding: 24px;
    --product-rowWhite-picture-height: 110px;
    --product-rowWhite-main-padding-left: 16px;
    --product-title-font-size: 16px;
    --product-title-line-height: 20px;
    --product-info-font-size: 14px;
    --product-info-margin-top: 8px;
    --product-info-margin-bottom: 16px;
    --product-price-font-size: 20px;
    --counter-btn-icon-size: 14px;
    --product-rowWhite-tags-left: 2px;
    --product-rowWhite-tags-bottom: 2px;
  }

  .cartPage__item-additional {
    --product-rowWhite-picture-width: 125.7px;
    --product-rowWhite-main-padding-left: 16px;
    --product-title-font-size: 16px;
    --product-title-line-height: 20px;
  }

  .cartPage__send {
    flex-grow: 0;
    flex-shrink: 0;
    margin: 0;
    position: sticky;
    width: 450px;
  }

  .cartOrder__list-sale {
    display: none;
  }
}

@media (max-width: 1099px) {
  .cartPage__item-products {
    --product-tags-display: none;
  }

  .cartOrder__input-saleGroup {
    box-shadow: var(--product-box-shadow, 0 0 5px 0 rgba(0, 0, 0, 0.08));
  }
}

@media (max-width: 767px) {
  .cartOrder__inputGroup-large {
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .cartOrder__input-group50 {
    flex-basis: 48%;
    flex-grow: 0;
  }

  .cartOrder__input-group100 {
    margin-left: 0 !important;
    margin-top: var(--padding-medium) !important;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
